# $Revision: 1.58 $, $Date: 2008/02/02 02:25:12 $
Summary:	muddleftpd - FTP daemon
Summary(pl.UTF-8):	muddleftpd - serwer FTP
Name:		muddleftpd
Version:	1.3.13.1
Release:	6
License:	GPL
Group:		Daemons
Source0:	http://savannah.nongnu.org/download/muddleftpd/%{name}-%{version}.tar.gz
# Source0-md5:	47cf007466395ce43920f5e60234e107
Source1:	ftp.pamd
Source2:	%{name}.logrotate
Source3:	%{name}.init
Source4:	%{name}.sysconfig
Source5:	%{name}.conf
Source6:	%{name}-mudpasswd.1
Patch0:		%{name}-MD5-passwd.patch
Patch1:		%{name}-DONT_INST_DOC.patch
Patch2:		%{name}-allowed_filenames_fix.patch
URL:		http://www.nongnu.org/muddleftpd/
BuildRequires:	mysql-devel
BuildRequires:	pam-devel
BuildRequires:	perl-base
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	texinfo
Requires(post,preun):	/sbin/chkconfig
Requires:	logrotate
Requires:	pam >= 0.79.0
Requires:	rc-scripts
Provides:	ftpserver
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/muddleftpd
%define		_localstatedir	/var/run

%description
MUDDLEFTPD is a server for the Internet File Transfer Protocol. Normal
FTP servers tend to always want to run with root privileges on the
server host. MUDDLEFTPD is designed to overcome this obstacle without
limiting the available features when running without root privileges.

%description -l pl.UTF-8
MUDDLEFTPD jest serwerem FTP. O ile większość serwerów FTP chce
uprawnień roota, MUDDLEFTPD został zaprojektowany tak, aby mógł
działać bez tych uprawnień bez zbytniego ograniczenia możliwości.

%package authlibmud
Summary:	MUD authentication library for muddleftpd
Summary(pl.UTF-8):	Biblioteka do uwierzytelniania MUD dla muddleftpd
Group:		Daemons
Requires:	%{name} = %{version}-%{release}

%description authlibmud
This module allows muddleftpd to authenticate against player files on
a mud server.

%description authlibmud -l pl.UTF-8
Ten moduł pozwala muddleftpd uwierzytelniać użytkowników w oparciu o
pliki graczy na serwerze muda.

%package authlibmysql
Summary:	MySQL authentication library for muddleftpd
Summary(pl.UTF-8):	Biblioteka uwierzytelniania MySQL dla muddleftpd
Group:		Daemons
Requires:	%{name} = %{version}-%{release}
# no R:	mysql - database can be remote

%description authlibmysql
This module allows muddleftpd to authenticate using a MySQL server.
This module will read client information from a supplied
table/database within MySQL.

%description authlibmysql -l pl.UTF-8
Ten moduł pozwala muddleftpd uwierzytelniać użytkowników przy użyciu
serwera MySQL. Moduł czyta informacje o kliencie z podanej tabeli/bazy
MySQL.

%package authlibsmb
Summary:	SMB authentication library for muddleftpd
Summary(pl.UTF-8):	Biblioteka do uwierzytelniania SMB dla muddleftpd
Group:		Daemons
Requires:	%{name} = %{version}-%{release}

%description authlibsmb
This module allows muddleftpd to authenticate using a SMB server.

%description authlibsmb -l pl.UTF-8
Ten moduł pozwala muddleftpd uwierzytelniać użytkowników korzystając z
serwera SMB.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%{__perl} -pi -e 's/^(CFLAGS=.*)/$1 -fPIC/' modules/auth/*/Makefile.in

%build
%configure \
	MYSQL_LIB_DIR=%{_libdir} \
	--with-authmysql \
	--with-authmud

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sysconfdir},/var/log} \
	$RPM_BUILD_ROOT/etc/{pam.d,logrotate.d,rc.d/init.d,sysconfig,security} \
	$RPM_BUILD_ROOT/home/services/ftp/{pub,upload} \
	$RPM_BUILD_ROOT%{_libdir}/%{name}

%{__make} install \
	BINDIR=$RPM_BUILD_ROOT%{_sbindir} \
	MANDIR=$RPM_BUILD_ROOT%{_mandir} \
	INFODIR=$RPM_BUILD_ROOT%{_infodir} \
	libdir=$RPM_BUILD_ROOT%{_libdir}/%{name}

# documentation of modules
mv -f modules/auth/authlibmud/README modules/auth/authlibmud/README.authlibmud
mv -f modules/auth/authlibmysql/README modules/auth/authlibmysql/README.authlibmysql
mv -f modules/auth/authlibsmb/README modules/auth/authlibsmb/README.authlibsmb

mv -f $RPM_BUILD_ROOT%{_sbindir}/ftpwho $RPM_BUILD_ROOT%{_bindir}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/pam.d/ftp
install %{SOURCE2} $RPM_BUILD_ROOT/etc/logrotate.d/muddleftpd
install %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/muddleftpd
install %{SOURCE4} $RPM_BUILD_ROOT/etc/sysconfig/muddleftpd
install %{SOURCE6} $RPM_BUILD_ROOT%{_mandir}/man1/mudpasswd.1

touch $RPM_BUILD_ROOT/var/log/muddleftpd
touch $RPM_BUILD_ROOT/etc/security/blacklist.ftp

install src/ratiotool		$RPM_BUILD_ROOT%{_bindir}
install %{SOURCE5} $RPM_BUILD_ROOT%{_sysconfdir}/muddleftpd.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1
/sbin/chkconfig --add muddleftpd
%service muddleftpd restart "muddleftpd daemon"

%preun
if [ "$1" = "0" ]; then
	%service muddleftpd stop
	/sbin/chkconfig --del muddleftpd
fi

%postun	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO doc/*.txt examples
%attr(750,root,root) %dir %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/muddleftpd.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/security/blacklist.ftp
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/*
%attr(640,root,root) %ghost /var/log/*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/*
%attr(754,root,root) /etc/rc.d/init.d/*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/*
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/*
%attr(755,root,root) %dir /home/services/ftp
%attr(755,root,root) %dir /home/services/ftp/pub
%attr(700,root,ftp) %verify(not mode) %dir /home/services/ftp/upload
%{_mandir}/man1/*
%{_infodir}/*.info*

%files authlibmud
%defattr(644,root,root,755)
%doc modules/auth/authlibmud/README.authlibmud
%attr(755,root,root) %{_libdir}/%{name}/libauthmud.so

%files authlibmysql
%defattr(644,root,root,755)
%doc modules/auth/authlibmysql/README.authlibmysql
%attr(755,root,root) %{_libdir}/%{name}/libauthmysql.so

%files authlibsmb
%defattr(644,root,root,755)
%doc modules/auth/authlibsmb/README.authlibsmb
%attr(755,root,root) %{_libdir}/%{name}/libauthsmb.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: muddleftpd.spec,v $
Revision 1.58  2008/02/02 02:25:12  shadzik
- kill obsoletes
- rel 6

Revision 1.57  2008-01-24 01:23:01  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.56  2007-03-31 22:02:59  baggins
- added krb5-ftpd to obsoletes

Revision 1.55  2007/02/13 07:16:49  glen
- tabs in preamble

Revision 1.54  2007/02/12 00:49:08  baggins
- converted to UTF-8

Revision 1.53  2006/03/05 14:51:20  glen
- use %service, adapterized, cosmetics

Revision 1.52  2005/12/04 23:10:18  glen
- adapterized (sorted %verify flags)

Revision 1.51  2005/07/25 12:54:19  japhy
- Added allowed_filenames_fix patch (Michal Kowalczuk), STBR

Revision 1.50  2005/05/12 14:38:42  baggins
- release 4
- req pam 0.79.0

Revision 1.49  2005/02/12 22:46:25  arekm
- rel ++

Revision 1.48  2004/10/24 13:02:02  ankry
- ftp->FTP

Revision 1.47  2004/10/24 12:15:25  paladine
- ftp->FTP

Revision 1.46  2004/09/26 21:51:32  kolodko
- added macros in /etc/logrotate.d

Revision 1.45  2004/08/22 19:33:43  qboosh
- fixed build on amd64, release 2

Revision 1.44  2004/08/18 00:40:49  havner
- rel 1

Revision 1.43  2004/03/29 08:49:55  luzik
- added Obsolete: glftpd

Revision 1.42  2003/11/10 14:05:36  qboosh
- missing defattrs, pl fixes, revised deps

Revision 1.41  2003/11/09 20:56:50  djrzulf
- it compiles but doesn't know if it work, and if auth modules work,

Revision 1.40  2003/11/09 20:32:19  djrzulf
- next fixes (authlibsmb is build by default?),

Revision 1.39  2003/11/09 17:41:32  djrzulf
- temporary saved work,

Revision 1.38  2003/11/09 10:12:24  djrzulf
- started update to 1.3.13.1,

Revision 1.37  2003/09/26 14:23:34  baggins
- release 3

Revision 1.36  2003/09/26 14:20:25  baggins
- req pam >= 0.77.3

Revision 1.35  2003/07/29 15:45:00  qboosh
- more specific Requires, more changes where needed

Revision 1.34  2003/07/22 19:47:35  troll
- Added omited BuildRequires: texinfo

Revision 1.33  2003/06/16 19:09:15  blues
- massive: cleanup in setup parameters (based on kloczek changes), small
  cosmetic fixes

Revision 1.32  2003/05/29 00:52:56  djrzulf
- typo,

Revision 1.31  2003/05/28 12:59:49  malekith
- massive attack: source-md5

Revision 1.30  2003/05/25 05:50:54  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.29  2003/02/23 12:44:56  hunter
- added man page for mudpasswd.1, rom: Marek Fetliński <marfet@ufik.idn.org.pl>

Revision 1.28  2002/12/07 17:08:48  orzech
- /home/ftp -> /home/services/ftp

Revision 1.27  2002/10/17 14:34:44  areq
- 1.3.12.1, STBR
- update URL

Revision 1.26  2002/07/29 07:28:04  marcus
- fixed building, rel.7.

Revision 1.25  2002/06/05 18:53:05  kloczek
- spec adapterized and use new %doc.

Revision 1.24  2002/06/01 10:29:34  qboosh
- Obsoletes: proftpd-*, vsftpd
- release 6

Revision 1.23  2002/05/21 23:14:12  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.22  2002/03/26 22:10:44  djrzulf
- s/Obsolete:  proftpd-common/Conflicts:  proftpd-common/

Revision 1.21  2002/03/26 22:05:59  djrzulf
- added Obsoletes: proftpd-common,
- release 5,
- STBR,

Revision 1.20  2002/02/23 03:54:21  kloczek
- adapterized.

Revision 1.19  2002/02/22 23:29:18  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/01/18 02:13:59  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.17  2001/10/11 12:07:18  qboosh
- Obsoletes: troll-ftpd

Revision 1.16  2001/10/08 21:25:56  grzegorz
- added creating /etc/security dir in %install

Revision 1.15  2001/10/08 21:19:38  grzegorz
- added Source5: muddleftpd.conf with "logfile /var/log/muddleftpd" and
  disabled "logindump /etc/issue.ftp", maybe some other options should
  be changed too
- in %instal s/muddleftpd.log/muddleftpd/
- added /etc/security/blacklist.ftp in %install and %files
- release 4

Revision 1.14  2001/10/08 14:05:01  qboosh
- fixed: added creating /home/ftp/{pub,upload} in %install

Revision 1.13  2001/10/08 11:46:29  grzegorz
- added /home/ftp and subdirectories (upload with root.ftp 700 too)
- release 3

Revision 1.12  2001/08/11 18:22:50  kloczek
- release 2.

Revision 1.11  2001/08/11 17:41:50  waszi
- removed some commented stuff
- added ratiotool

Revision 1.10  2001/08/11 17:37:26  waszi
- ac fixes

Revision 1.9  2001/07/26 05:42:21  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.7  2001/05/27 14:16:30  areq
- 1.3.11
- updated man install
- add MD5-passwd.patch - internal password code in md5

Revision 1.6  2001/04/20 09:12:06  zagrodzki
- fixed man paths

Revision 1.5  2001/04/19 18:14:15  blues
- Revison 2 - STB
- killall path

Revision 1.4  2001/03/27 12:12:30  mis
- autoupdated to 1.3.9

Revision 1.3  2001/03/18 20:49:42  kloczek
- standarized %preun.

Revision 1.2  2001/03/18 18:45:44  qboosh
- builds now, but not configured at all

Revision 1.1  2001/03/04 14:40:51  misiek
- raw
